Bug 523068 - [system-config-users] unable to delete existing user
Summary: [system-config-users] unable to delete existing user
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-users
Version: rawhide
Hardware: noarch
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-13 21:06 UTC by Joachim Frieben
Modified: 2009-09-16 14:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-16 14:43:47 UTC


Attachments (Terms of Use)

Description Joachim Frieben 2009-09-13 21:06:08 UTC
Description of problem:
After a fresh install from the "rawhide" tree, it is possible to add new users via system-config-users. However, an attempt to delete an existing user has no effect. Instead, the following error message is returned:

  /usr/share/system-config-users/mainWindow.py:726: DeprecationWarning:
      use set_markup() instead
    dlg.label.set_use_markup (True)
  Locking '/var/cache/abrt/pyhook-1252875507-2692.lock'...
  UnLocking '/var/cache/abrt/pyhook-1252875507-2692.lock'...
  Traceback (most recent call last):
    File "/usr/share/system-config-users/mainWindow.py", line 756, in
        on_delete_activate
      self.rmrf(homeDir)
    File "/usr/share/system-config-users/mainWindow.py", line 923, in rmrf
      if not path.beginswith ("/"):
  AttributeError: 'str' object has no attribute 'beginswith'

Version-Release number of selected component (if applicable):


How reproducible:
system-config-users-1.2.90-1.fc12.noarch

Steps to Reproduce:
1. Launch /usr/bin/system-config-users
2. Delete existing user and choose to remove home directory etc.
  
Actual results:
None.

Expected results:
User entry gets deleted.

Additional info:
None.

Comment 1 Joachim Frieben 2009-09-13 21:07:25 UTC
Version-Release number of selected component (if applicable):
system-config-users-1.2.90-1.fc12.noarch

How reproducible:
Always.

Comment 2 Nils Philippsen 2009-09-14 09:52:57 UTC
Should be fixed in system-config-users-1.2.91.

Comment 3 Joachim Frieben 2009-09-15 19:45:18 UTC
Issue persists for system-config-users-1.2.91-1.fc12:

 "/usr/share/system-config-users/mainWindow.py:685: DeprecationWarning:
      use set_markup() instead
    dlg.label.set_use_markup (True)
  Locking '/var/cache/abrt/pyhook-1253043631-2063.lock'...
  UnLocking '/var/cache/abrt/pyhook-1253043631-2063.lock'...
  Traceback (most recent call last):
    File "/usr/share/system-config-users/mainWindow.py", line 715, in
        on_delete_activate
      self.rmrf(homeDir)
    File "/usr/share/system-config-users/mainWindow.py", line 890, in rmrf
      shutils.rmtree (path)
  NameError: global name 'shutils' is not defined"

Comment 4 Nils Philippsen 2009-09-16 14:43:47 UTC
Ahh sorry. This typo is fixed in 1.2.93, along with some other problems.


Note You need to log in before you can comment on or make changes to this bug.